# $Revision: 1.20 $, $Date: 2009/02/25 10:07:21 $
#
# Conditional build:
%bcond_with	native	# build native library (needs as-needed fix)
#
Summary:	Documentation generation framework for Java source files
Summary(pl.UTF-8):	Szkielet do generowania dokumentacji dla plików źródłowych w Javie
Name:		gjdoc
Version:	0.7.9
Release:	2
License:	GPL v2+
Group:		Development/Languages/Java
Source0:	http://ftp.gnu.org/gnu/classpath/%{name}-%{version}.tar.gz
# Source0-md5:	24cade2efe22d5adefcbabb21f094803
Patch0:		%{name}-info.patch
Patch1:		%{name}-launcher.patch
URL:		http://www.gnu.org/software/classpath/cp-tools/
BuildRequires:	antlr >= 2.7.5-3
# Some versions of gcj are known to produce bad bytecode.
# At least bug 19921 is known to affect gjdoc (in Feb 2005).
BuildRequires:	gcc-java >= 5:4.0.0-0.20050416.1
BuildRequires:	texinfo
Requires:	jpackage-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gjdoc is a documentation framework for generating documentation in
various formats from Java source files. It is both a drop-in
replacement for the traditional command line tool `javadoc' and
provides an interface for inspection of and generation of different
output for Java source packages, classes, methods and fields.

Gjdoc's current version implements all features of the traditional
javadoc tool up to version 1.4. With the exception of two
unimplemented options (-nocomment and -serialwarn) it should be fully
command-line compatible, and it provides a compatible Doclet API
(com.sun.javadoc).

However, in contrast to Javadoc, `gjdoc' does not perfom syntax
checking on the supplied sources. If necessary, use a real compiler
like `gcj -fsyntax-only` or `jikes +B' for checking the sources
beforehand.

%description -l pl.UTF-8
gjdoc to szkielet służący do generowania dokumentacji w różnych
formatach z plików źródłowych w Javie. Jest to zarówno zamiennik
tradycyjnego polecenia javadoc, jak i interfejs do inspekcji i
generowania różnych formatów wyjściowych dla pakietów źródłowych,
klas, metod i pól w Javie.

Aktualna wersja gjdoc implementuje wszystkie możliwości tradycyjnego
narzędzia javadoc do wersji 1.4. Z wyjątkiem dwóch nieudokumentowanych
opcji (-nocomment i -serialwarn) powinna być w pełni zgodna co do
linii poleceń i dostarcza kompatybilne Doclet API (com.sun.javadoc).

Jednak, w porównaniu do Javadoc, gjdoc nie sprawdza składni źródeł. W
razie potrzeby źródła można sprawdzić przedtem prawdziwym
kompilatorem, np. "gcj -fsyntax-only" lub "jikes +B".

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	GCJFLAGS="%{rpmcflags}" \
	--with-antlr-jar=%{_javadir}/antlr.jar \
	--%{?with_native:en}%{!?with_native:dis}able-native \
	--enable-shared \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{?with_native:/sbin/ldconfig}
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
%{?with_native:/sbin/ldconfig}
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gjdoc
%if %{with native}
%attr(755,root,root) %{_libdir}/lib-com-sun-javadoc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib-com-sun-javadoc.so.0
%attr(755,root,root) %{_libdir}/lib-com-sun-tools-doclets-Taglet.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib-com-sun-tools-doclets-Taglet.so.0
%attr(755,root,root) %{_libdir}/lib-gnu-classpath-tools-gjdoc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib-gnu-classpath-tools-gjdoc.so.0
%endif
%{_infodir}/gjdoc.info*
%{_javadir}/com-sun-javadoc-%{version}.jar
%{_javadir}/com-sun-tools-doclets-Taglet-%{version}.jar
%{_javadir}/gnu-classpath-tools-gjdoc-%{version}.jar
%{_mandir}/man1/gjdoc.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gjdoc.spec,v $
Revision 1.20  2009/02/25 10:07:21  pawelz
- added patch1 (set SHELL in gjdoc wrapper script)
- rel 2

Revision 1.19  2008/07/21 22:29:49  qboosh
- updated to 0.7.9
- run ldconfig only if with native

Revision 1.18  2008/04/08 08:24:51  glen
- unify ftp.gnu.org urls

Revision 1.17  2007-12-09 01:42:10  glen
- R: jpackage-utils for %{_javadir}

Revision 1.16  2007-05-23 20:43:02  qboosh
- updated to 0.7.8

Revision 1.15  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.13  2007/02/05 15:26:16  qboosh
- bcond desc

Revision 1.12  2007/02/03 09:28:47  arekm
- disable native for now (doesn't build with it)

Revision 1.11  2007/01/05 18:41:27  arekm
- rel 3

Revision 1.10  2006/11/25 15:46:19  arekm
- rel 2

Revision 1.9  2006/01/23 19:26:38  qboosh
- added info patch
- pass GCJFLAGS (=rpmcflags)

Revision 1.8  2005/12/22 11:42:31  pluto
- updated to 0.7.7.

Revision 1.7  2005/11/27 02:16:23  pluto
- builds on ppc, release 1.

Revision 1.6  2005/11/27 02:07:47  pluto
- updated to 0.7.6.

Revision 1.5  2005/06/11 17:41:40  pluto
- updated to 0.7.5, release 0.1.

Revision 1.4  2005/05/04 09:15:00  pluto
- TODO moved.

Revision 1.3  2005/04/18 19:39:19  qboosh
- pl, plain ldconfig (macros dep was missing anyway)

Revision 1.2  2005/04/18 03:58:13  pluto
- BR(antlr) fixed.

Revision 1.1  2005/04/18 03:52:47  pluto
- Java documentation framework.
